Holger's Java API

## com.antelmann.db
Class DBAccessDeniedWarning

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      com.antelmann.db.DatabaseException
                          com.antelmann.db.DBVetoException
                              com.antelmann.db.DBAccessDeniedWarning

All Implemented Interfaces:
  WarningOnly, Serializable

    public class DBAccessDeniedWarning

extends DBVetoException
implements WarningOnly

thrown to indicate that access to a database was not allowed due to applicable restrictions

Since:
  11. Dezember 2006, 16:15
Author:
  holger
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`DBAccessDeniedWarning()`
`DBAccessDeniedWarning(String message)`

Method Summary

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DBAccessDeniedWarning

    public DBAccessDeniedWarning()

### DBAccessDeniedWarning

    public DBAccessDeniedWarning(String message)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads